package com.bwie.list.service;

import com.bwie.common.domain.Admin;
import com.bwie.common.domain.Rutcloue;

/**
 * @Author：yang
 * @Package：com.bwie.list.service
 * @Project：day_09-12
 * @name：AdminService
 * @Date：2024/8/12 10:09
 */
public interface AdminService {

    /**
     * 获取登录
     * @param adminName 用户名称
     * @return 值
     */
    Admin user(String adminName);

    /**
     * 新用户注册
     * @param admin 用户名称
     * @return 值
     */
    Integer restKeran(Admin admin);

    /**
     * 支付
     * @param rutcloue 商品信息
     * @return 值
     */
    Integer rnFerat(Rutcloue rutcloue);
}
