package com.bwie.es.feign;

import com.bwie.common.domain.Kood;
import com.bwie.common.result.Result;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;

import java.util.List;

/**
 * @Author：yang
 * @Package：com.bwie.es.feign
 * @Project：day_09-12
 * @name：ESFeign
 * @Date：2024/8/12 11:43
 */
@FeignClient("bwie-list")
public interface ESFeign {

    @PostMapping("/kood/list")
    public Result<List<Kood>> list();

}
