package com.bwie.list.mapper;

import com.bwie.common.domain.Appyds;
import com.bwie.common.domain.DTo.KoodDTO;
import com.bwie.common.domain.Kood;
import com.bwie.common.domain.Rutcloue;
import com.bwie.common.domain.Zhong;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @Author：yang
 * @Package：com.bwie.list.mapper
 * @Project：day_09-12
 * @name：KoodMapper
 * @Date：2024/8/12 12:01
 */
@Mapper
public interface KoodMapper {
    List<Kood> list();

    Integer add(KoodDTO koodDTO);

    void addZhong(Zhong zhong);

    Integer addRes(Rutcloue rutcloue);

    Appyds findRutcloueList(@Param("adminId") Integer adminId, Appyds appyds);

    Integer insertAppyds(Appyds appyds);
}
