package com.bwie.list.service.impl;

import com.bwie.common.domain.Appyds;
import com.bwie.common.domain.DTo.RutcloueDTO;
import com.bwie.list.mapper.RutcloueMapper;
import com.bwie.list.service.RutcloueService;
import lombok.AllArgsConstructor;
import lombok.extern.log4j.Log4j2;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @Author：yang
 * @Package：com.bwie.list.service.impl
 * @Project：day_09-12
 * @name：RutcloueServiceImpl
 * @Date：2024/8/12 16:25
 */
@Service
@Log4j2
@AllArgsConstructor
public class RutcloueServiceImpl implements RutcloueService {
    private final RutcloueMapper rutcloueMapper;

    @Override
    public List<RutcloueDTO> list(RutcloueDTO rutcloueDTO) {
        List<RutcloueDTO> list = rutcloueMapper.list(rutcloueDTO);
        return list;
    }

    @Override
    public List<Appyds> appydslist(Appyds appyds) {
        return rutcloueMapper.appydslist();
    }
}
